moqiaoduo 发表于 2017-1-14 02:24:04

最近发现whmcs模块的修复方法

本帖最后由 moqiaoduo 于 2017-1-14 09:28 编辑

好像翻遍论坛都没找到,那我就发出来吧。
有人装了狐狸的脚本,能够多个PHP共存。但是发现whmcs开出来的主机根本没办法正常使用,这是因为whmcs服务器模块里面的API用的是"template"而不是"module",这个是我查API发现的,“templete,subtemplete,已废弃”,所以才会出错。
怎么修复呢?打开easypanel.php,找到空间类型,将=>后面的换成 array( "Type" => "dropdown", "Options" => "php,iis"),
注意后面的半角逗号,然后再搜索templete ,把它换成module
然后就行了,然后在产品配置中选择php或者iis即可~
用手机查了半天没查出来,电脑几十秒解决。。。

如果你还是不会改。。。这里有现成的模块,自己下来用


P.S.轻轻吐槽一下官方好懒。。。改几个字的事情

注意:在PHP7运行下的WHMCS7不支持该模块,我没试其他的,但是WHMCS5确确实实可以运行的说。
页: [1]
查看完整版本: 最近发现whmcs模块的修复方法